> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.sqril.io/llms.txt.
> For full documentation content, see https://docs.sqril.io/llms-full.txt.

# List Banks

GET https://api.sqril.com/listBanks

Lists beneficiary banks or financial institutions by country code.

**Authentication:**
- **REQUIRED**: Provide client_id and client_secret via:
  - Basic Auth: `Authorization: Basic base64(client_id:client_secret)`


**Query Parameters:**
- `country_code` (required): Country code (ID, PH, or VN)

**Response:**
- `banks`: Array of bank/financial institution objects with unified `code` field
- `country_code`: The country code requested
- `total`: Total number of banks returned

**Bank Code Standardization:**
All banks in the response use a unified `code` field. Provider-specific differences are normalized to the `code` field for consistency.

**Supported Countries:**
- ID (Indonesia)
- PH (Philippines)
- VN (Vietnam)

Reference: https://docs.sqril.io/sqril-saa-s-api/bank-provider-endpoints/list-banks

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /listBanks:
    get:
      operationId: list-banks
      summary: List Banks
      description: >-
        Lists beneficiary banks or financial institutions by country code.


        **Authentication:**

        - **REQUIRED**: Provide client_id and client_secret via:
          - Basic Auth: `Authorization: Basic base64(client_id:client_secret)`


        **Query Parameters:**

        - `country_code` (required): Country code (ID, PH, or VN)


        **Response:**

        - `banks`: Array of bank/financial institution objects with unified
        `code` field

        - `country_code`: The country code requested

        - `total`: Total number of banks returned


        **Bank Code Standardization:**

        All banks in the response use a unified `code` field. Provider-specific
        differences are normalized to the `code` field for consistency.


        **Supported Countries:**

        - ID (Indonesia)

        - PH (Philippines)

        - VN (Vietnam)
      tags:
        - subpackage_bankProviderEndpoints
      parameters:
        - name: country_code
          in: query
          description: 'Required: Country code (ID, PH, or VN)'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Bank & Provider Endpoints_List
                  Banks_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetListbanksRequestBadRequestError'
servers:
  - url: https://api.sqril.com
  - url: https://your-app.com
components:
  schemas:
    ListBanksGetResponsesContentApplicationJsonSchemaBanksItems:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        type:
          type: string
        country_code:
          type: string
      required:
        - code
        - name
        - type
        - country_code
      title: ListBanksGetResponsesContentApplicationJsonSchemaBanksItems
    Bank & Provider Endpoints_List Banks_Response_200:
      type: object
      properties:
        banks:
          type: array
          items:
            $ref: >-
              #/components/schemas/ListBanksGetResponsesContentApplicationJsonSchemaBanksItems
        country_code:
          type: string
        total:
          type: integer
      required:
        - banks
        - country_code
        - total
      title: Bank & Provider Endpoints_List Banks_Response_200
    GetListbanksRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
      title: GetListbanksRequestBadRequestError

```

## SDK Code Examples

```python Bank & Provider Endpoints_List Banks_example
import requests

url = "https://api.sqril.com/listBanks"

querystring = {"country_code":"ID"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript Bank & Provider Endpoints_List Banks_example
const url = 'https://api.sqril.com/listBanks?country_code=ID';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Bank & Provider Endpoints_List Banks_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sqril.com/listBanks?country_code=ID"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Bank & Provider Endpoints_List Banks_example
require 'uri'
require 'net/http'

url = URI("https://api.sqril.com/listBanks?country_code=ID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Bank & Provider Endpoints_List Banks_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sqril.com/listBanks?country_code=ID")
  .asString();
```

```php Bank & Provider Endpoints_List Banks_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sqril.com/listBanks?country_code=ID');

echo $response->getBody();
```

```csharp Bank & Provider Endpoints_List Banks_example
using RestSharp;

var client = new RestClient("https://api.sqril.com/listBanks?country_code=ID");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Bank & Provider Endpoints_List Banks_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sqril.com/listBanks?country_code=ID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```